<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.1101
Name: ondervoeding aanwezig
Description: Template voor de weergave van ondervoeding - Voeding
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000">
   <title>ondervoeding aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1101
Context: *[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]
Item: (entryRelationship_ondervoeding)
-->

<rule context="*[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]"
         id="tmp-r-1dfaefa9-b2aa-4c14-8d76-8d9ebeb3d245">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']/@nullFlavor)">(entryRelationship_ondervoeding): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101'])&lt;=1">(entryRelationship_ondervoeding): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.110']])&lt;=1">(entryRelationship_ondervoeding): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.110']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1101
Context: *[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']
Item: (entryRelationship_ondervoeding)
-->

<rule context="*[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']"
         id="tmp-r-09f02284-6be4-451d-a99e-5380a5088006">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_ondervoeding): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_ondervoeding): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="@negationInd">(entryRelationship_ondervoeding): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(entryRelationship_ondervoeding): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(entryRelationship_ondervoeding): Als er géén ondervoeding aanwezig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(entryRelationship_ondervoeding): Als er niet bekend is of er ondervoeding aanwezig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1101'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1101']/@nullFlavor)">(entryRelationship_ondervoeding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1101'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1101'])&lt;=1">(entryRelationship_ondervoeding): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1101'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(entryRelationship_ondervoeding): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="count(hl7:code)&lt;=1">(entryRelationship_ondervoeding): element hl7:code komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1101
Context: *[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1101']
Item: (entryRelationship_ondervoeding)
-->

<rule context="*[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1101']"
         id="tmp-r-d4a43861-780c-4eab-8194-aa48be5bd184">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_ondervoeding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.1101'">(entryRelationship_ondervoeding): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.1101' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1101
Context: *[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']/hl7:code
Item: (entryRelationship_ondervoeding)
-->

<rule context="*[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']/hl7:code"
         id="tmp-r-8fbc4570-b991-42cb-a55c-b12c0c65ac49">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_ondervoeding): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1101
Context: *[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.110']]
Item: (entryRelationship_ondervoeding)
-->
<rule context="*[*[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1101']]/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.110']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1101-2012-05-03T000000.html"
              test="string(@typeCode)='COMP'">(entryRelationship_ondervoeding): de waarde van @typeCode MOET 'COMP' zijn.</assert>
   </rule>
</pattern>
