<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Name: prognose
Description: Template voor de weergave van entryRelationship prognose
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000">
   <title>prognose</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]"
         id="tmp-r-fbb0d0b3-73ac-41bf-89b2-efa38f03c730">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']/@nullFlavor)">(entryRelationship_prognose): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16'])&lt;=1">(entryRelationship_prognose): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']"
         id="tmp-r-9a12c2cb-40aa-408b-a1e7-196d799302f7">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(entryRelationship_prognose): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(entryRelationship_prognose): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']/@nullFlavor)">(entryRelationship_prognose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'])&lt;=1">(entryRelationship_prognose): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(entryRelationship_prognose): element hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(entryRelationship_prognose): element hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(entryRelationship_prognose): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="count(hl7:value)&lt;=1">(entryRelationship_prognose): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.16']"
         id="tmp-r-723cbac4-6fa7-4f3f-a7f2-0958c765cba4">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.16'">(entryRelationship_prognose): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.16' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']/hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']/hl7:code[(@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-3b60c4f5-d7a5-4f43-b2da-d6ea4017955e">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="@nullFlavor or (@code='365858006' and @codeSystem='2.16.840.1.113883.6.96')">(entryRelationship_prognose): de elementwaarde MOET een zijn van 'code '365858006' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.16
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']/hl7:value
Item: (entryRelationship_prognose)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.16']/hl7:value"
         id="tmp-r-db892ce1-2641-45af-9ed9-0e47989f18d8">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.16-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(entryRelationship_prognose): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:ST" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
</pattern>
