<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.1611
Name: wond_aanwezig
Description: Template voor de weergave van wond
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000">
   <title>wond_aanwezig</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1611
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]
Item: (wond_value)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]"
         id="tmp-r-d218d5a4-bc83-47d0-b04f-871af19af6c0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']/@nullFlavor)">(wond_value): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611'])&lt;=1">(wond_value): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1611
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']
Item: (wond_value)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']"
         id="tmp-r-ff652c05-6c11-48d8-8156-e2ffbf98cf50">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="string(@classCode)='OBS'">(wond_value): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="string(@moodCode)='EVN'">(wond_value): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="@negationInd">(wond_value): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(wond_value): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="not(@negationInd='true') or count(hl7:entryRelationship)=0">(wond_value): Als er géén wond aanwezig is (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="not(@negationInd='true') or hl7:value">(wond_value): Als er niet bekend is of er wond aanwezig is (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1611'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1611']/@nullFlavor)">(wond_value): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1611'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1611'])&lt;=1">(wond_value): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1611'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="count(hl7:code[(@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(wond_value): element hl7:code[(@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="count(hl7:code[(@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(wond_value): element hl7:code[(@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.161']])&lt;=1">(wond_value): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.161']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1611
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1611']
Item: (wond_value)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.1611']"
         id="tmp-r-652c58ed-dec8-47ad-9f92-53e38a9e21cd">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wond_value): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.1611'">(wond_value): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.1611' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1611
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']/hl7:code[(@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (wond_value)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']/hl7:code[(@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-db136bf7-a626-4d82-8dcf-d4966bbdd9f1">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(wond_value): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="@nullFlavor or (@code='416462003' and @codeSystem='2.16.840.1.113883.6.96')">(wond_value): de elementwaarde MOET een zijn van 'code '416462003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.1611
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.161']]
Item: (wond_value)
-->
<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.1611']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.161']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.1611-2014-08-20T000000.html"
              test="string(@typeCode)='REFR'">(wond_value): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
