<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.3
Name: kinderen
Description: Template: Kinderen
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000">
   <title>kinderen</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]
Item: (Child)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]"
         id="tmp-r-e3aba77a-2356-4641-9dbb-c5823dea5b00">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3'])&gt;=1 and not(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']/@nullFlavor)">(Child): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="count(hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3'])&lt;=1">(Child): element hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']
Item: (Child)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']"
         id="tmp-r-e9b859b8-27d6-49d1-b9de-eff5b9ec7b90">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="string(@classCode)='OBS'">(Child): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(Child): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="@negationInd">(Child): attribute @negationInd MOET aanwezig zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="not(@negationInd) or string(@negationInd)=('true','false')">(Child): attribuut @negationInd MOET datatype 'bl' hebben</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="not(@negationInd='true') or count(../../hl7:entryRelationship)=1">(Child): Als er géén kinderen zijn (@negationId='true') dan kunnen er geen andere entryRelationship elementen zijn dan de huidige</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="not(@negationInd='true') or hl7:value">(Child): Als er niet bekend is of er kinderen zijn (@negationId='true') dan moet er het volgende element 'value xsi:type="ST" nullFlavor="UNK"'aanwezig zijn</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.3']/@nullFlavor)">(Child): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.3'])&lt;=1">(Child): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.3'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="count(hl7:code[(@code='67822003' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='67822003' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(Child): element hl7:code[(@code='67822003' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="count(hl7:code[(@code='67822003' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(Child): element hl7:code[(@code='67822003' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.3']
Item: (Child)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.3']"
         id="tmp-r-66c10504-7674-41cb-ae27-d0d03e5b97a3">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Child): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.3'">(Child): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.3' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.3
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']/hl7:code[(@code='67822003' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (Child)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']]/hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.3']/hl7:code[(@code='67822003' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-386ad2ab-14da-4257-93f6-3431c4eae69d">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(Child): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.3-2012-05-03T000000.html"
              test="@nullFlavor or (@code='67822003' and @codeSystem='2.16.840.1.113883.6.96')">(Child): de elementwaarde MOET een zijn van 'code '67822003' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>
</pattern>
