<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Name: procedure reden overdragen zorg
Description: Template voor de weergave van reden overdragen zorg
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000">
   <title>procedure reden overdragen zorg</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]
Item: (procedure_reden_overdragen_zorg)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]"
         id="tmp-r-267c6698-f312-4084-9d4b-abffb89ea5b0">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30'])&gt;=1 and not(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/@nullFlavor)">(procedure_reden_overdragen_zorg): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30'])&lt;=1">(procedure_reden_overdragen_zorg): element hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30'] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']
Item: (procedure_reden_overdragen_zorg)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']"
         id="tmp-r-cf0ddb5d-e85c-438e-9b68-0fa644271839">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@classCode)='PROC'">(procedure_reden_overdragen_zorg): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@moodCode)='EVN'">(procedure_reden_overdragen_zorg): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']/@nullFlavor)">(procedure_reden_overdragen_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30'])&lt;=1">(procedure_reden_overdragen_zorg): element hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:code[(@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')])&gt;=1 and not(hl7:code[(@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')]/@nullFlavor)">(procedure_reden_overdragen_zorg): element hl7:code[(@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:code[(@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')])&lt;=1">(procedure_reden_overdragen_zorg): element hl7:code[(@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']])&gt;=1 and not(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]/@nullFlavor)">(procedure_reden_overdragen_zorg): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="count(hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']])&lt;=1">(procedure_reden_overdragen_zorg): element hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']] komt te vaak voor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']
Item: (procedure_reden_overdragen_zorg)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/hl7:templateId[@root='2.16.840.1.113883.2.4.6.10.30.2.30']"
         id="tmp-r-c2900149-db04-416e-82f1-218df043bbbf">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(procedure_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:II" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.6.10.30.2.30'">(procedure_reden_overdragen_zorg): @root MOET de waarde '2.16.840.1.113883.2.4.6.10.30.2.30' hebben.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/hl7:code[(@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')]
Item: (procedure_reden_overdragen_zorg)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/hl7:code[(@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')]"
         id="tmp-r-970c9787-f4ba-4893-90c6-881ebfa9383f">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(procedure_reden_overdragen_zorg): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "{urn:hl7-org:v3}:CE" bevatten, gevonden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="@nullFlavor or (@code='308292007' and @codeSystem='2.16.840.1.113883.6.96')">(procedure_reden_overdragen_zorg): de elementwaarde MOET een zijn van 'code '308292007' codeSystem '2.16.840.1.113883.6.96''.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]
Item: (procedure_reden_overdragen_zorg)
-->
<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.31']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@typeCode)='RSON'">(procedure_reden_overdragen_zorg): de waarde van @typeCode MOET 'RSON' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.6.10.30.2.30
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]
Item: (procedure_reden_overdragen_zorg)
-->
<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']]/hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.30']/hl7:entryRelationship[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.6.10.30.2.35']]">
      <assert role="error"
              see="http://decor.nictiz.nl/eoverdracht/e-overdracht-html-20141209T072156/tmp-2.16.840.1.113883.2.4.6.10.30.2.30-2012-05-03T000000.html"
              test="string(@typeCode)='REFR'">(procedure_reden_overdragen_zorg): de waarde van @typeCode MOET 'REFR' zijn.</assert>
   </rule>
</pattern>
